class BaseSdkException(RuntimeError):

    def __init__(self, code=100, message='ERROR'):
        self.__code = code
        self.__message = message

    def get_Code(self):
        return self.__code

    def get_Message(self):
        return self.__message

    def __str__(self):
        return ("%d - %s" % (self.getCode(), self.getMessage().encode('utf-8')))


class HttpException(BaseSdkException):
    '''
    网络错误
    '''

    def __init__(self, code, message):
        BaseSdkException.__init__(self, code, message)


class ServiceException(BaseSdkException):
    '''
    契约锁返回数据异常
    '''

    def __init__(self, code, message):
        BaseSdkException.__init__(self, code, message)
