import json

from httpClient.BaseHttpRequest import *
from httpClient.HttpParameter import *
from httpClient.RequestMethod import *


class ContractAppointPageRequest(BaseHttpRequest):

    def __init__(self, contractId=None, bizId=None, tenantName=None, pageType=None, callbackPage=None, allowedSend=None):
        self.__contractId = contractId
        self.__bizId = bizId
        self.__tenantName = tenantName
        self.__pageType = pageType
        self.__callbackPage = callbackPage
        self.__allowedSend = allowedSend

    def get_contractId(self):
        return self.__contractId

    def set_contractId(self, value):
        self.__contractId = value

    def get_bizId(self):
        return self.__bizId

    def set_bizId(self, value):
        self.__bizId = value

    def get_tenantName(self):
        return self.__tenantName

    def set_tenantName(self, value):
        self.__tenantName = value

    def get_pageType(self):
        return self.__pageType

    def set_pageType(self, value):
        self.__pageType = value

    def get_callbackPage(self):
        return self.__callbackPage

    def set_callbackPage(self, value):
        self.__callbackPage = value

    def get_allowedSend(self):
        return self.__allowedSend

    def set_allowedSend(self, value):
        self.__allowedSend = value

    def get_path(self):
        return '/v2/contract/appointurl'

    def get_params(self):
        parameter = HttpParameter(RequestMethod.POST)
        json_dic = {}
        if self.__contractId is not None:
            json_dic['contractId'] = self.__contractId
        if self.__bizId is not None:
            json_dic['bizId'] = self.__bizId
        if self.__tenantName is not None:
            json_dic['tenantName'] = self.__tenantName
        if self.__pageType is not None:
            json_dic['pageType'] = self.__pageType
        if self.__callbackPage is not None:
            json_dic['callbackPage'] = self.__callbackPage
        if self.__allowedSend is not None:
            json_dic['allowedSend'] = self.__allowedSend
        parameter.set_json(json.dumps(json_dic))
        return parameter
