import json

from httpClient.BaseHttpRequest import *
from httpClient.HttpParameter import *
from httpClient.RequestMethod import *


class ContractMiniappTicketRequest(BaseHttpRequest):

    def __init__(self, contractId=None, bizId=None, tenantName=None, user=None):
        self.__contractId = contractId
        self.__bizId = bizId
        self.__tenantName = tenantName
        self.__user = user

    def get_contractId(self):
        return self.__contractId

    def set_contractId(self, value):
        self.__contractId = value

    def get_bizId(self):
        return self.__bizId

    def set_bizId(self, value):
        self.__bizId = value

    def get_tenantName(self):
        return self.__tenantName

    def set_tenantName(self, value):
        self.__tenantName = value

    def get_user(self):
        return self.__user

    def set_user(self, value):
        self.__user = value

    def get_path(self):
        return '/v2/contract/miniappexchange'

    def get_params(self):
        parameter = HttpParameter(RequestMethod.POST)
        json_dic = {}
        if self.__contractId is not None:
            json_dic['contractId'] = self.__contractId
        if self.__bizId is not None:
            json_dic['bizId'] = self.__bizId
        if self.__tenantName is not None:
            json_dic['tenantName'] = self.__tenantName
        if self.__user is not None:
            json_dic['user'] = self.__user.to_json()
        parameter.set_json(json.dumps(json_dic))
        return parameter
