import json

from httpClient.BaseHttpRequest import BaseHttpRequest
from httpClient.HttpParameter import HttpParameter
from httpClient.RequestMethod import RequestMethod


class ContractSignInvalidRequest(BaseHttpRequest):

    def __init__(self, contractId=None, bizId=None, tenantName=None, sealId=None, stampers=None):
        self.__contractId = contractId
        self.__bizId = bizId
        self.__tenantName = tenantName
        self.__sealId = sealId
        self.__stampers = stampers

    def get_contractId(self):
        return self.__contractId

    def set_contractId(self, value):
        self.__contractId = value

    def get_bizId(self):
        return self.__bizId

    def set_bizId(self, value):
        self.__bizId = value

    def get_tenantName(self):
        return self.__tenantName

    def set_tenantName(self, value):
        self.__tenantName = value

    def get_sealId(self):
        return self.__sealId

    def set_sealId(self, value):
        self.__sealId = value

    def get_stampers(self):
        return self.__stampers

    def set_stampers(self, value):
        self.__stampers = value

    def get_path(self):
        return '/v2/contract/invalidsign'

    def get_params(self):
        parameter = HttpParameter(RequestMethod.POST)
        json_dic = {}
        if self.__contractId is not None:
            json_dic['contractId'] = self.__contractId
        if self.__bizId is not None:
            json_dic['__bizId'] = self.__bizId
        if self.__tenantName is not None:
            json_dic['__tenantName'] = self.__tenantName
        if self.__sealId is not None:
            json_dic['sealId'] = self.__sealId
        if self.__stampers is not None:
            stampers_list = []
            for stamper in self.__stampers:
                stampers_list.append(stamper.to_json())
            json_dic['stampers'] = stampers_list
        parameter.set_json(json.dumps(json_dic))
        return parameter