from httpClient.BaseHttpRequest import BaseHttpRequest
from httpClient.HttpParameter import HttpParameter
from httpClient.RequestMethod import RequestMethod


class ContractViewPageRequest(BaseHttpRequest):

    def __init__(self, contractId=None, bizId=None, tenantName=None):
        self.__contractId = contractId
        self.__bizId = bizId
        self.__tenantName = tenantName

    def get_path(self):
        return '/v2/contract/viewurl'

    def get_params(self):
        parameter = HttpParameter(RequestMethod.GET)
        if self.__contractId is not None:
            parameter.add_params('contractId', self.__contractId)
        if self.__bizId is not None:
            parameter.add_params('bizId', self.__bizId)
        if self.__tenantName is not None:
            parameter.add_params('tenantName', self.__tenantName)
        return parameter

    def get_contractId(self):
        return self.__contractId

    def set_contractId(self, value):
        self.__contractId = value

    def get_bizId(self):
        return self.__bizId

    def set_bizId(self, value):
        self.__bizId = value

    def get_tenantName(self):
        return self.__tenantName

    def set_tenantName(self, value):
        self.__tenantName = value
