from httpClient.BaseHttpRequest import *
from httpClient.HttpParameter import *
from httpClient.RequestMethod import *
from bean.User import *


class EmployeeDetailRequest(BaseHttpRequest):

    def __init__(self, user=None, tenantName=None):
        self.__user = user
        self.__tenantName = tenantName

    def get_user(self):
        return self.__user

    def set_user(self, value):
        self.__user = value

    def get_tenantName(self):
        return self.__tenantName

    def set_tenantName(self, value):
        self.__tenantName = value

    def get_path(self):
        return '/v2/employee/detail'

    def get_params(self):
        parameter = HttpParameter(RequestMethod.POST)
        json_dic = {}
        if self.__user is not None:
            json_dic['user'] = self.__user.to_json()
        if self.__tenantName is not None:
            json_dic['tenantName'] = self.__tenantName
        parameter.set_json(json.dumps(json_dic))
        return parameter
