from httpClient.BaseHttpRequest import *
from httpClient.HttpParameter import *
from httpClient.RequestMethod import *
import json


class InvalidByFileRequest(BaseHttpRequest):

    def __init__(self, contractId=None, bizId=None, tenantName=None, file=None, title=None, fileSuffix=None,
                 deleteDoc=None, invalidReason=None, stampers=None):
        self.__contractId = contractId
        self.__bizId = bizId
        self.__tenantName = tenantName
        self.__file = file
        self.__title = title
        self.__fileSuffix = fileSuffix
        self.__deleteDoc = deleteDoc
        self.__invalidReason = invalidReason
        self.__stampers = stampers

    def get_contractId(self):
        return self.__contractId

    def set_contractId(self, value):
        self.__contractId = value

    def get_bizId(self):
        return self.__bizId

    def set_bizId(self, value):
        self.__bizId = value

    def get_tenantName(self):
        return self.__tenantName

    def set_tenantName(self, value):
        self.__tenantName = value

    def get_file(self):
        return self.__file

    def set_file(self, value):
        self.__file = value

    def get_title(self):
        return self.__title

    def set_title(self, value):
        self.__title = value

    def get_fileSuffix(self):
        return self.__fileSuffix

    def set_fileSuffix(self, value):
        self.__fileSuffix = value

    def get_deleteDoc(self):
        return self.__deleteDoc

    def set_deleteDoc(self, value):
        self.__deleteDoc = value

    def get_invalidReason(self):
        return self.__invalidReason

    def set_invalidReason(self, value):
        self.__invalidReason = value

    def get_stampers(self):
        return self.__stampers

    def set_stampers(self, value):
        self.__stampers = value

    def get_path(self):
        return '/v2/contract/invalidbyfile'

    def get_params(self):
        json_dic = {}
        if self.__contractId is not None:
            json_dic['contractId'] = self.__contractId
        if self.__bizId is not None:
            json_dic['bizId'] = self.__bizId
        if self.__tenantName is not None:
            json_dic['tenantName'] = self.__tenantName
        if self.__title is not None:
            json_dic['title'] = self.__title
        if self.__fileSuffix is not None:
            json_dic['fileSuffix'] = self.__fileSuffix
        if self.__deleteDoc is not None:
            json_dic['deleteDoc'] = self.__deleteDoc
        if self.__invalidReason is not None:
            json_dic['invalidReason'] = self.__invalidReason
        if self.__stampers is not None:
            stamper_list = []
            for stamper in self.__stampers:
                stamper_list.append(stamper.to_json())
            json_dic['stampers'] = stamper_list
        parameter = HttpParameter(RequestMethod.POST)
        parameter.add_file('file', self.__file)
        parameter.add_params('invalidInfo', json.dumps(json_dic))
        return parameter
