from httpClient.BaseHttpRequest import *
from httpClient.HttpParameter import *
from httpClient.RequestMethod import *
import json


class InvalidByTemplateRequest(BaseHttpRequest):

    def __init__(self, contractId=None, bizId=None, tenantName=None, title=None,
                 deleteDoc=None, invalidReason=None, templateId=None, templateParams=None, stampers=None):
        self.__contractId = contractId
        self.__bizId = bizId
        self.__tenantName = tenantName
        self.__title = title
        self.__deleteDoc = deleteDoc
        self.__invalidReason = invalidReason
        self.__templateId = templateId
        self.__templateParams = templateParams
        self.__stampers = stampers

    def get_contractId(self):
        return self.__contractId

    def set_contractId(self, value):
        self.__contractId = value

    def get_bizId(self):
        return self.__bizId

    def set_bizId(self, value):
        self.__bizId = value

    def get_tenantName(self):
        return self.__tenantName

    def set_tenantName(self, value):
        self.__tenantName = value

    def get_title(self):
        return self.__title

    def set_title(self, value):
        self.__title = value

    def get_deleteDoc(self):
        return self.__deleteDoc

    def set_deleteDoc(self, value):
        self.__deleteDoc = value

    def get_invalidReason(self):
        return self.__invalidReason

    def set_invalidReason(self, value):
        self.__invalidReason = value

    def get_templateId(self):
        return self.__templateId

    def set_templateId(self, value):
        self.__templateId = value

    def get_templateParams(self):
        return self.__templateParams

    def set_templateParams(self, value):
        self.__templateParams = value

    def get_stampers(self):
        return self.__stampers

    def set_stampers(self, value):
        self.__stampers = value

    def get_path(self):
        return '/v2/contract/invalidbytemplate'

    def get_params(self):
        parameter = HttpParameter(RequestMethod.POST)
        json_dic = {}
        if self.__contractId is not None:
            json_dic['contractId'] = self.__contractId
        if self.__bizId is not None:
            json_dic['bizId'] = self.__bizId
        if self.__tenantName is not None:
            json_dic['tenantName'] = self.__tenantName
        if self.__title is not None:
            json_dic['title'] = self.__title
        if self.__deleteDoc is not None:
            json_dic['deleteDoc'] = self.__deleteDoc
        if self.__invalidReason is not None:
            json_dic['invalidReason'] = self.__invalidReason
        if self.__templateId is not None:
            json_dic['templateId'] = self.__templateId
        if self.__templateParams is not None:
            templateParam_list = []
            for templateParam in self.__templateParams:
                templateParam_list.append(templateParam.to_json())
            json_dic['templateParams'] = templateParam_list
        if self.__stampers is not None:
            stamper_list = []
            for stamper in self.__stampers:
                stamper_list.append(stamper.to_json())
            json_dic['stampers'] = stamper_list
        parameter.set_json(json.dumps(json_dic))
        return parameter
