from httpClient.BaseHttpRequest import *
from httpClient.HttpParameter import *
from httpClient.RequestMethod import *
import json


class SealAutoCreateRequest(BaseHttpRequest):

    def __init__(self, tenantName=None, name=None, sealImageInfo=None, users=None):
        self.__tenantName = tenantName
        self.__name = name
        self.__sealImageInfo = sealImageInfo
        self.__users = users

    def get_tenantName(self):
        return self.__tenantName

    def set_tenantName(self, value):
        self.__tenantName = value

    def get_name(self):
        return self.__name

    def set_name(self, value):
        self.__name = value

    def get_sealImageInfo(self):
        return self.__sealImageInfo

    def set_sealImageInfo(self, value):
        self.__sealImageInfo = value

    def get_users(self):
        return self.__users

    def set_users(self, value):
        self.__users = value

    def get_path(self):
        return '/v2/seal/autocreate'

    def get_params(self):
        parameter = HttpParameter(RequestMethod.POST)
        json_dic = {}
        if self.__tenantName is not None:
            json_dic['tenantName'] = self.__tenantName
        if self.__name is not None:
            json_dic['name'] = self.__name
        if self.__sealImageInfo is not None:
            json_dic['sealImageInfo'] = self.__sealImageInfo.to_json()
        if self.__users is not None:
            user_list = []
            for user in self.__users:
                user_list.append(user.to_json())
            json_dic['users'] = user_list
        parameter.set_json(json.dumps(json_dic))
        return parameter
