import json

from httpClient.BaseHttpRequest import BaseHttpRequest
from httpClient.HttpParameter import HttpParameter
from httpClient.RequestMethod import RequestMethod


class SignatoryAddRequest(BaseHttpRequest):

    def __init__(self, contractId=None, bizId=None, signatory=None, tenantName=None):
        self.__contractId = contractId
        self.__bizId = bizId
        self.__signatory = signatory
        self.__tenantName = tenantName

    def get_contractId(self):
        return self.__contractId

    def set_contractId(self, value):
        self.__contractId = value

    def get_signatory(self):
        return self.__signatory

    def set_signatory(self, value):
        self.__signatory = value

    def get_bizId(self):
        return self.__bizId

    def set_bizId(self, value):
        self.__bizId = value

    def get_tenantName(self):
        return self.__tenantName

    def set_tenantName(self, value):
        self.__tenantName = value

    def get_path(self):
        return '/v2/signatory/add'

    def get_params(self):
        parameter = HttpParameter(RequestMethod.POST)
        json_dic = {}
        if self.__contractId is not None:
            json_dic['contractId'] = self.__contractId
        if self.__bizId is not None:
            json_dic['bizId'] = self.__bizId
        if self.__signatory is not None:
            json_dic['signatory'] = self.__signatory.to_json()
        if self.__tenantName is not None:
            json_dic['tenantName'] = self.__tenantName
        parameter.set_json(json.dumps(json_dic))
        return parameter
