from httpClient.BaseHttpRequest import BaseHttpRequest
from httpClient.HttpParameter import *
from httpClient.RequestMethod import *
import json


class SignatoryIdentityRequest(BaseHttpRequest):

    def __init__(self, contractId=None, bizId=None, user=None, tenantName=None):
        self.__contrcatId = contractId
        self.__bizId = bizId
        self.__user = user
        self.__tenantName = tenantName

    def get_contractId(self):
        return self.__contrcatId

    def set_contractId(self, value):
        self.__contrcatId = value

    def get_bizId(self):
        return self.__bizId

    def set_bizId(self, value):
        self.__bizId = value

    def get_user(self):
        return self.__user

    def set_user(self, value):
        self.__user = value

    def get_tenantName(self):
        return self.__tenantName

    def set_tenantName(self, value):
        self.__tenantName = value

    def get_path(self):
        return '/v2/signatory/identity'

    def get_params(self):
        parameter = HttpParameter(RequestMethod.GET)
        if self.__contrcatId is not None:
            parameter.add_params('contractId', self.__contrcatId)
        if self.__bizId is not None:
            parameter.add_params('bizId', self.__bizId)
        if self.__user is not None:
            parameter.add_params('contact', self.__user.get_contact())
            parameter.add_params('contactType', self.__user.get_contactType())
        if self.get_tenantName() is not None:
            parameter.add_params('tenantName', self.__tenantName)
        return parameter
