from httpClient.BaseHttpRequest import *
from httpClient.HttpParameter import *
from httpClient.RequestMethod import *
import json


class TemplateEditRequest(BaseHttpRequest):

    def __init__(self, templateId=None, title=None, templateParams=None):
        self.__templateId = templateId
        self.__title = title
        self.__templateParams = templateParams

    def get_templateId(self):
        return self.__templateId

    def set_templateId(self, value):
        self.__templateId = value

    def get_title(self):
        return self.__title

    def set_title(self, value):
        self.__title = value

    def get_templateParams(self):
        return self.__templateParams

    def set_templateParams(self, value):
        self.__templateParams = value

    def get_path(self):
        return '/v2/template/edit'

    def get_params(self):
        parameter = HttpParameter(RequestMethod.POST)
        json_dic = {}
        if self.__templateId is not None:
            json_dic['templateId'] = self.__templateId
        if self.__title is not None:
            json_dic['title'] = self.__title
        if self.__templateParams is not None:
            param_list = []
            for templateParam in self.__templateParams:
                param_list.append(templateParam.to_json())
            json_dic['templateParams'] = param_list
        parameter.set_json(json.dumps(json_dic))
        return parameter
